Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.helper
Class URLUtils

    java.lang.Object
      com.gisgraphy.helper.URLUtils

    public class URLUtils

extends java.lang.Object

Provides URL utilities

Author:
  David Masclet

Field Summary
`static java.lang.String` | `COUNTRY_FLAG_BASE_URL` A constant to construct country flag URL
`static java.lang.String` | `DEFAULT_COUNTRY_FLAG_URL` The default country flag URL
`static java.lang.String` | `DEFAULT_GOOGLE_MAP_BASE_URL` The default Google map URL
`static java.lang.String` | `DEFAULT_YAHOO_MAP_BASE_URL` The default Yahoo map URL
`static java.lang.String` | `GOOGLE_MAP_BASE_URL` A constant to create Google map URL
`static java.lang.String` | `YAHOO_MAP_BASE_URL` A Constant to create Yahoo map URL

Constructor Summary
`URLUtils()`

Method Summary
`static java.lang.String` | `createCountryFlagUrl(java.lang.String countryCode)`
`static java.lang.String` | `createGoogleMapUrl(com.vividsolutions.jts.geom.Point point, java.lang.String label)`
`static java.lang.String` | `createYahooMapUrl(com.vividsolutions.jts.geom.Point point)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GOOGLE_MAP_BASE_URL

    public static final java.lang.String GOOGLE_MAP_BASE_URL

  A constant to create Google map URL

  See Also:
    Constant Field Values

### DEFAULT_GOOGLE_MAP_BASE_URL

    public static final java.lang.String DEFAULT_GOOGLE_MAP_BASE_URL

  The default Google map URL

  See Also:
    Constant Field Values

### YAHOO_MAP_BASE_URL

    public static final java.lang.String YAHOO_MAP_BASE_URL

  A Constant to create Yahoo map URL

  See Also:
    Constant Field Values

### DEFAULT_YAHOO_MAP_BASE_URL

    public static final java.lang.String DEFAULT_YAHOO_MAP_BASE_URL

  The default Yahoo map URL

  See Also:
    Constant Field Values

### COUNTRY_FLAG_BASE_URL

    public static final java.lang.String COUNTRY_FLAG_BASE_URL

  A constant to construct country flag URL

  See Also:
    Constant Field Values

### DEFAULT_COUNTRY_FLAG_URL

    public static final java.lang.String DEFAULT_COUNTRY_FLAG_URL

  The default country flag URL

  See Also:
    Constant Field Values

Constructor Detail

### URLUtils

    public URLUtils()

Method Detail

### createGoogleMapUrl

    public static java.lang.String createGoogleMapUrl(com.vividsolutions.jts.geom.Point point,
                                                      java.lang.String label)

  Parameters:
    `point` - The Point we'd like to map
    `label` - the text we'd like to display on the map
  Returns:
    an Google Map URL for the specified point and label
  See Also:
    `DEFAULT_GOOGLE_MAP_BASE_URL`

### createYahooMapUrl

    public static java.lang.String createYahooMapUrl(com.vividsolutions.jts.geom.Point point)

  Parameters:
    `point` - The Point we'd like to map
  Returns:
    an Yahoo Map URL for the specified point and label
  See Also:
    `DEFAULT_YAHOO_MAP_BASE_URL`

### createCountryFlagUrl

    public static java.lang.String createCountryFlagUrl(java.lang.String countryCode)

  Parameters:
    `countryCode` - The countryCode to construct the country flag URL
  Returns:
    A url relative to the current server
  See Also:
    `DEFAULT_COUNTRY_FLAG_URL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.